function [particles] = initParticles(num_particles,max_landmarks,pos)
  % Initialize particles
  for i = 1:num_particles
    particles(i).w = 1.0/num_particles;	%particles get even weight
    particles(i).position = pos;        %robot position at start
    
    % Initialize landmarks for particles
    for index_i=1:max_landmarks
      particles(i).landmarks(index_i).seen = false; %no landmarks known
    end
  end
end

