function [idx, dist] = knnsearch_nodep(data, points)
% cheap implementation of nearest neighbor search
% Alexander T. Hypes 12/2013
% k always equals 1
    [m,~] = size(data);
    [n,~] = size(points);
    list_ = zeros(m,n);
    for i=1:m
        for j=1:n
                list_(i,j) = ( ( points(j,1) - data(i,1) ).^2 + ( points(j,2) - data(i,2) ).^2 ).^.5;
        end
    end
    
    [dist,idx]=min(list_);
    idx=idx';
    dist=dist';
end